CFD Online Discussion Forums

CFD Online Discussion Forums (http://www.cfd-online.com/Forums/)
-   CD-adapco (http://www.cfd-online.com/Forums/cd-adapco/)
-   -   Compilation Error when running Tutorial 2.4 (http://www.cfd-online.com/Forums/cd-adapco/56541-compilation-error-when-running-tutorial-2-4-a.html)

zhihuali March 28, 2008 14:10

Compilation Error when running Tutorial 2.4
 
Hi all,

I tried tutorial 2.4 and the following error appeared when I started the calculation:

PNP: Initialized [2008-03-28-18:42:30] Automatic Sequential Automatic Parallel analyzer.

PNP: Allocated "lizhihua,1" resource (1 process).

PNP: Assigned "lizhihua,1" to STAR solver (1 process).

PNP: Analyzing User coding in "ufile" directory.

PNP: compiling /opt/absoft/bin/f90 -w -fPIC -YCCM_NAMES=LCS -YEXT_NAMES=LCS -YEXT_SFX=_-B19 -cpu:opteron -mcmodel=medium -m64 -c droico.f -o linux64_2.4-absoft_9.0a-glibc_2.2.5-dso/dp/droico.o

PNP:

PNP:Error: bad option: -cpu:opteron

PNP: ***ERROR*** Compilation error in user file "ufile/droico.f".

PNP: ==> Please check the compilation error messages.

The fortran package I installed is profortran75

My linux is a 64 bit rehat enterprise 4

Starcd version:3.24 with x86_64 platform

I checked the messages in this forum that menstion similar problems, to which answer is their fortran is too old.But the error I have is not the all the same, and I dont know how to solve it.

Does anybody know why this occurs?Any resolution?

Many thanks in advance!

Zhihua


James March 28, 2008 14:49

Re: Compilation Error when running Tutorial 2.4
 
You have to use the fortran package specified in the install notes which for 3.24 is ABSOFT, you can't use any other fortran compiler.

Pauli March 28, 2008 16:28

Re: Compilation Error when running Tutorial 2.4
 
It seems like I've run into this problem. Unfortunately I don't remember the answer.

It looks like they are using ABSOFT ( PNP: compiling /opt/absoft/bin/f90 ...). The problem is that the compiler is bing fed an invalid option (PNP:Error: bad option: -cpu:opteron).

Is it a setting in software.ini or hardware.ini? I don't have a 3.24 installation. I checked my 3.26 installation but didn't spot anything which looked appropriate.


James March 28, 2008 16:39

Re: Compilation Error when running Tutorial 2.4
 
see my previous answer....(although in 3.26 you can use PGI too)


zhihuali March 29, 2008 15:54

Re: Compilation Error when running Tutorial 2.4
 
Hi,

Thanks for your answer.

I found my software.ini file in starcd/etc, and in the linux settings, there seems to be 2 linux platforms(x86 and x86_64)installed and different versions of aboft are involved for the 2 platforms. Does this cause the error?

(When I installed starcd 3.24, there are two options,x86 and x86_64, in the Platforms Section, and I chose the latter. I dont know why there appears to be two platforms.)

Linux settings in my Software.ini:

#

# Linux settings

#

platform Linux_x86 FLEXLM=$FLEXLMTOP/linux_2.4-x86-glibc_2.2.2

platform Linux_x86 LAMHOME=$LAMTOP/linux_2.4-gcc_2.95.3-glibc_2.2.2-dso

platform Linux_x86 MPICH=$MPICHTOP/linux_2.4-gcc_2.95.3-glibc_2.2.2-dso

platform Linux_x86 PROSTAR=$PROSTARTOP/linux_2.2-x86-glibc_2.2.0

group Linux_x86-glibc_2.3.2 PROSTAR=$PROSTARTOP/linux_2.4-x86-glibc_2.3.2

platform Linux_x86 RUNTIME=$RUNTIMETOP/linux_2.4-x86-glibc_2.2.2

platform Linux_x86 STAR=$STARTOP/linux_2.4-absoft_8.2ap1-glibc_2.2.2-dso

##platform Linux_x86 STAR=$STARTOP/linux_2.4-ifc_7.0-glibc_2.2.2-dso

platform Linux_x86 STARLAUNCH=$STARLAUNCHTOP/linux_2.2-x86-glibc_2.2.0

#

platform Linux_x86_64 FLEXLM=$FLEXLMTOP/linux64_2.4-x86-glibc_2.2.5

platform Linux_x86_64 LAMHOME=$LAMTOP/linux64_2.4-gcc_3.2.2-glibc_2.2.5-dso

platform Linux_x86_64 MPICH=$MPICHTOP/linux64_2.4-gcc_3.2.2-glibc_2.2.5-dso

platform Linux_x86_64 PROSTAR=$PROSTARTOP/linux64_2.4-x86-glibc_2.2.5

platform Linux_x86_64 RUNTIME=$RUNTIMETOP/linux64_2.4-x86-glibc_2.2.5

platform Linux_x86_64 STAR=$STARTOP/linux64_2.4-absoft_9.0a-glibc_2.2.5-dso

##platform Linux_x86_64 STAR=$STARTOP/linux64_2.4-pgf90_5.2-glibc_2.2.5-dso

platform Linux_x86_64 STARLAUNCH=$STARLAUNCHTOP/linux64_2.4-x86-glibc_2.2.5

Zhihua Li


James March 30, 2008 05:50

Re: Compilation Error when running Tutorial 2.4
 
Unless you have absoft installed you are not going to get anywhere, it doesn't matter which port of the code you use, you still have to have the absoft compiler to use subroutines. Absoft isn't included in the installation you have to purchase/install it separately

zhihuali March 30, 2008 09:55

Re: Compilation Error when running Tutorial 2.4
 
Hi,

Thanks!

I did install, separately, absoft to the /opt directory, but now I found it is a 32 bit absoft that probably caused the problem?

Zhihua Li


zhihuali April 1, 2008 07:34

Re: Compilation Error when running Tutorial 2.4
 
Hi there,

I borrowed pgi6.0 and installed it. However, after the display of model specifications, another error appeared:

/usr/starcd/STAR/3.24.000/linux64_2.4-pgf90_5.2glibc_2.2.5-dso/lib/star: symbol lookup error: /home/lzh/1/ufile/linux64_2.4-pgf90_5.2glibc_2.2.5-dso/dp/libstarusr.so: undefined symbol:__fmth_i_dlog PNP:Shut down [2008-04-01-11:52:11]Execution aborted by request (SIGABRT) after 1 seconds(TOTAL ELAPSED TIME)

What does that mean?

Zhihua


All times are GMT -4. The time now is 08:34.